Subject: [Sip] Re: draft-ietf-sip-update-02.txt- Sending 500 response

From: Jonathan Rosenberg <[email-masked]>
Date: Sun, 06 Oct 2002 21:51:09 -0400

Pankaj,

You are correct that this is an error in the specification, and also 
correct in the needed fix. I will make this change during authors 48 
hours (now in progress).

Thanks,
Jonathan R.

[email-masked] wrote:
> 
> Hello
>        I have doubt regarding the following  statement of the
> draft-ietf-sip-update-02.txt
> 
> "A UAS that receives an UPDATE before it has generated a final
> response to a previous UPDATE or INVITE on the same dialog
>  MUST return a 500 response to the new UPDATE, and MUST
> include a Retry-After field with a Retry-After header field with a
> randomly chosen  value between 0 and 10 seconds."
> 
>>From my understanding, the UPDATE method allows the caller or
> callee to provide updated session information before a final response
> to the initial INVITE request is generated. So, why need to send the 500
>  response to UPDATE request where the UAS has not generated a final
> response to a previous  INVITE  on the same dialog.
> 
> I think the statement should be
> "A UAS that receives an UPDATE before it has generated a final
> response to a previous UPDATE or re-INVITE on the same dialog
>  MUST return a 500 response to the new UPDATE, and MUST
> include a Retry-After field with a Retry-After header field with a
> randomly chosen  value between 0 and 10 seconds."
> 
> Please correct me if I am wrong.
> 
> 
> Regds
> Pankaj Nath
> 
> 
> 
> 
> 
> 
> This message is proprietary to Hughes Software Systems Limited (HSS) and is
> intended solely for the use of the individual to whom it is addressed.  It
> may contain privileged or confidential information and should not be
> circulated or used for any purpose other than for what it is intended.  If
> you have received this message in error, please notify the originator
> immediately.  If you are not the intended recipient, you are notified that
> you are strictly prohibited from using, copying, altering, or disclosing
> the contents of this message.  HSS accepts no responsibility for loss or
> damage arising from the use of the information transmitted by this email
> including damage from virus.
> 
> 

-- 
Jonathan D. Rosenberg, Ph.D.                72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.jdrosen.net                      PHONE: (973) 952-5000
http://www.dynamicsoft.com

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip